Skip to content

Get All Groups of organization

Request

Returns a list of all groups within an organization

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

Query
pageSizestring, <= 10000

Enter the number of items to return in each page of the result.

Default:"50"
pagestring

Enter the page number to display in the result. Page numbers start at 0

Default:"0"
searchany

Filter your search to return items whose property has a specific value. Use the syntax: property:operation:value where a colon (:) separates between property, operation and value.

  • Property: the name of the property of the item
  • Operation:
    • equals - true if the value is identical to this value.
    • in - true if the value is identical to one of the items in this comma-separated list. E.g. in:value1,value2,value3
    • like - true if the property's value is contained within this value
    • regex - true if this regular expression resolves as true. The regex is not case sensitive, and special characters must be escaped with a backslash. Special characters include space, double quote ("), '<', '>', '#', '%', '{', '}', vertical bar ('|'), backslash, '^'. To pass an escaped character in a URL in Postman, encode it first. E.g. to return all items whose value begins with a or A, use regex:^a
  • Value: the value of the property.

To combine multiple filters, separate each filter with a semicolon with no space. E.g. property1:operation1:value1;property2:operation2:value2

This endpoint supports filtering on the following properties and its supported operators:

  • contextType:equals:value
  • name:[like | equals | regex]:value
  • product:in:value1,value2,value-n
  • roles:in:value1,value2,value-n
sortany

Sort search results alphabetically on an item's property by entering sort= followed by the property name. E.g. enter sort=email to sort alphabetically by their email addresses from a-z ascending.To sort in descending order (z-a), add a minus sign ('-'). E.g. sort=-email.

You can sort by the following properties:

  • accountStatus
  • contextType
  • name
  • product
  • role
  • users
groupRolesByScopeany

This query parameter allows you to group the roles assigned to a group by their scope (application/org). When set to true, the response will organize the roles into groups based on their associated application labels. This makes it easier to see which roles are linked to which applications within the group.

optionalColumnsstring

Used to add group roles information to the response

Default:"roles"
Value:"roles"
GET
/api/v2.0/orgs/{orgToken}/groups
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/groups?pageSize=50&page=0&search=%7Bsearch%7D&sort=%7Bsort%7D&groupRolesByScope=%7BgroupRolesByScope%7D&optionalColumns=roles' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
  • isLastPage: Defines whether the current page represents the conclusion of the API response. When “true”, this signifies you are viewing the last page of the API response. When “false”, this indicates there are further pages remaining.
Example:
{ "totalItems": "422", "isLastPage": "true" }
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(GroupSummaryDTO)
Response
{ "additionalData": { "totalItems": "422", "isLastPage": "true" }, "supportToken": "1171c60d", "retVal": [ {} ] }